/*
 *  Copyright (c) 2016, Facebook, Inc.
 *  All rights reserved.
 *
 *  This source code is licensed under the BSD-style license found in the
 *  LICENSE file in the root directory of this source tree. An additional grant
 *  of patent rights can be found in the PATENTS file in the same directory.
 */

#ifndef FATAL_INCLUDE_fatal_test_words_h
#define FATAL_INCLUDE_fatal_test_words_h

#include <fatal/type/list.h>
#include <fatal/type/sequence.h>

namespace fatal {

template <
  template <typename...> class List,
  template <typename V, V...> class Sequence
>
using random_words = List<
  Sequence<char, 'f', 'l', 'a', 'v', 'o', 'r'>,
  Sequence<char, 'p', 'r', 'e', 'm', 'a', 't', 'u', 'r', 'e'>,
  Sequence<char, 'g', 'l', 'a', 's', 's', 'e', 's'>,
  Sequence<char, 'n', 'u', 'a', 'n', 'c', 'e'>,
  Sequence<char, 'i', 'n', 'c', 'l', 'u', 'd', 'e'>,
  Sequence<char, 'd', 'r', 'a', 'g'>,
  Sequence<char, 't', 'r', 'e', 'n', 'd'>,
  Sequence<char, 'f', 'a', 'c', 't', 'o', 'r'>,
  Sequence<char, 'a', 'u', 'n', 't'>,
  Sequence<char, 'r', 'e', 'h', 'e', 'a', 'r', 's', 'a', 'l'>,
  Sequence<char, 'p', 'o', 'e', 'm'>,
  Sequence<char, 'c', 'h', 'e', 'a', 'p'>,
  Sequence<char, 'e', 's', 's', 'e', 'n', 't', 'i', 'a', 'l'>,
  Sequence<char, 'f', 'i', 'n', 'i', 's', 'h', 'e', 'd'>,
  Sequence<char, 'm', 'a', 'r', 'b', 'l', 'e'>,
  Sequence<char, 'u', 'n', 'a', 'n', 'i', 'm', 'o', 'u', 's'>,
  Sequence<char, 'r', 'i', 't', 'u', 'a', 'l'>,
  Sequence<char, 'a', 'd', 'o', 'p', 't'>,
  Sequence<char, 'a', 'r', 't', 'i', 'f', 'i', 'c', 'i', 'a', 'l'>,
  Sequence<char, 'c', 'r', 'e', 'w'>,
  Sequence<char, 's', 'w', 'e', 'e', 'p'>,
  Sequence<char, 'f', 'u', 'e', 'l'>,
  Sequence<char, 'f', 'l', 'u', 'c', 't', 'u', 'a', 't', 'i', 'o', 'n'>,
  Sequence<char, 'g', 'o'>,
  Sequence<char, 'i', 'n', 'd', 'e', 'x', ' ', 'f', 'i', 'n', 'g', 'e', 'r'>,
  Sequence<char, 's', 't', 'i', 't', 'c', 'h'>,
  Sequence<char, 't', 'e', 'n', 't'>,
  Sequence<char, 'm', 'a', 's', 'k'>,
  Sequence<char, 'd', 'i', 'f', 'f', 'e', 'r'>,
  Sequence<char, 'e', 'x', 'e', 'm', 'p', 't'>,
  Sequence<char, 'j', 'a', 'w'>,
  Sequence<char, 'd', 'i', 's', 't', 'r', 'i', 'b', 'u', 't', 'o', 'r'>,
  Sequence<char, 'p', 'r', 'e', 'p', 'a', 'r', 'a', 't', 'i', 'o', 'n'>,
  Sequence<char, 'm', 'o', 'n', 'e', 'y'>,
  Sequence<char, 'c', 'o', 'f', 'f', 'i', 'n'>,
  Sequence<char, 'g', 'e', 'n', 'e', 't', 'i', 'c'>,
  Sequence<char, 'j', 'a', 'c', 'k', 'e', 't'>,
  Sequence<char, 'c', 'l', 'a', 'r', 'i', 'f', 'y'>,
  Sequence<char, 'h', 'i', 't'>,
  Sequence<char, 'p', 'r', 'i', 'v', 'a', 't', 'e'>,
  Sequence<char, 's', 'u', 'n'>,
  Sequence<char, 'p', 'l', 'u', 'g'>,
  Sequence<char, 'w', 'h', 'e', 'a', 't'>,
  Sequence<char, 'e', 'y', 'e'>,
  Sequence<char, 'd', 'e', 't', 'e', 'r', 'm', 'i', 'n', 'e'>,
  Sequence<char, 'c', 'i', 'v', 'i', 'l', 'i', 'z', 'a', 't', 'i', 'o', 'n'>,
  Sequence<char, 'w', 'o', 'r', 'k', ' ', 'o', 'u', 't'>,
  Sequence<char, 'h', 'e', 'r', 'd'>,
  Sequence<char, 't', 'h', 'e', 'f', 't'>,
  Sequence<char, 'd', 'r', 'e', 's', 's', 'i', 'n', 'g'>,
  Sequence<char, 'g', 'r', 'i', 'n', 'd'>,
  Sequence<char, 'd', 'e', 'e', 'p'>,
  Sequence<char, 's', 'u', 'r', 'f', 'a', 'c', 'e'>,
  Sequence<char, 's', 'e', 'n', 's', 'i', 't', 'i', 'v', 'e'>,
  Sequence<char, 'r', 'e', 'l', 'i', 'a', 'b', 'l', 'e'>,
  Sequence<char, 't', 'r', 'y'>,
  Sequence<char, 'b', 'l', 'o', 'n', 'd', 'e'>,
  Sequence<char, 'r', 'a', 'i', 'n', 'b', 'o', 'w'>,
  Sequence<char, 'f', 'o', 'g'>,
  Sequence<char, 'p', 'h', 'o', 't', 'o', 'g', 'r', 'a', 'p', 'h', 'y'>,
  Sequence<char, 'c', 'h', 'a', 'r', 'a', 'c', 't', 'e', 'r', 'i', 's', 't', 'i', 'c'>,
  Sequence<char, 'p', 'o', 'l', 'i', 't', 'e'>,
  Sequence<char, 'h', 'i', 'k', 'e'>,
  Sequence<char, 'c', 'o', 'l', 'l', 'e', 'c', 't', 'i', 'o', 'n'>,
  Sequence<char, 'd', 'i', 'f', 'f', 'e', 'r', 'e', 'n', 't'>,
  Sequence<char, 's', 't', 'r', 'a', 'i', 'n'>,
  Sequence<char, 'd', 'i', 's', 'a', 'g', 'r', 'e', 'e'>,
  Sequence<char, 'm', 'a', 'i', 'd'>,
  Sequence<char, 'h', 'i', 'e', 'r', 'a', 'r', 'c', 'h', 'y'>,
  Sequence<char, 't', 'e', 'x', 't'>,
  Sequence<char, 'v', 'i', 'c', 't', 'o', 'r', 'y'>,
  Sequence<char, 'd', 'i', 's', 't', 'o', 'r', 't'>,
  Sequence<char, 't', 'e', 'r', 'm', 'i', 'n', 'a', 'l'>,
  Sequence<char, 'd', 'i', 'a', 'm', 'e', 't', 'e', 'r'>,
  Sequence<char, 'c', 'l', 'i', 'q', 'u', 'e'>,
  Sequence<char, 'e', 's', 't', 'a', 'b', 'l', 'i', 's', 'h'>,
  Sequence<char, 'w', 'a', 'l', 'k'>,
  Sequence<char, 's', 'e', 'e', 'k'>,
  Sequence<char, 'a', 'r', 't'>,
  Sequence<char, 's', 'c', 'a', 'n', 'd', 'a', 'l'>,
  Sequence<char, 's', 'e', 'a', 't'>,
  Sequence<char, 'a', 'b', 'u', 's', 'e'>,
  Sequence<char, 'r', 'e', 'l', 'a', 't', 'e'>,
  Sequence<char, 'a', 'g', 'i', 'l', 'e'>,
  Sequence<char, 's', 'p', 'e', 'l', 'l'>,
  Sequence<char, 'a', 'r', 'c', 'h', 'i', 'v', 'e'>,
  Sequence<char, 'c', 'o', 'w'>,
  Sequence<char, 'c', 'o', 'r', 'p', 's', 'e'>,
  Sequence<char, 'c', 'o', 'i', 'n', 'c', 'i', 'd', 'e', 'n', 'c', 'e'>,
  Sequence<char, 'c', 'r', 'a', 'f', 't', 's', 'm', 'a', 'n'>,
  Sequence<char, 'p', 'u', 'b', 'l', 'i', 'c'>,
  Sequence<char, 'r', 'e', 'l', 'a', 'x'>,
  Sequence<char, 'c', 'a', 'f', 'e'>,
  Sequence<char, 't', 'i', 'c', 'k', 'e', 't'>,
  Sequence<char, 'b', 'l', 'u', 'e'>,
  Sequence<char, 's', 'o', 'u', 'n', 'd'>,
  Sequence<char, 'o', 'b', 'j', 'e', 'c', 't', 'i', 'v', 'e'>,
  Sequence<char, 'l', 'i', 'b', 'e', 'r', 'a', 'l'>,
  Sequence<char, 't', 'e', 'm', 'p', 't'>,
  Sequence<char, 'd', 'i', 's', 'o', 'r', 'd', 'e', 'r'>,
  Sequence<char, 'a', 'g', 'e'>,
  Sequence<char, 'r', 'o', 'u', 't', 'e'>,
  Sequence<char, 'f', 'i', 'n', 'e'>,
  Sequence<char, 'i', 'm', 'p', 'r', 'e', 's', 's'>,
  Sequence<char, 'k', 'n', 'e', 'e', 'l'>,
  Sequence<char, 'l', 'a', 'd', 'd', 'e', 'r'>,
  Sequence<char, 'f', 'a', 'i', 'n', 't'>,
  Sequence<char, 'f', 'a', 'c', 'a', 'd', 'e'>,
  Sequence<char, 'm', 'a', 't', 'r', 'i', 'x'>,
  Sequence<char, 'e', 'm', 'o', 't', 'i', 'o', 'n'>,
  Sequence<char, 'g', 'l', 'u', 'e'>,
  Sequence<char, 's', 'c', 'r', 'a', 'p'>,
  Sequence<char, 'a', 'r', 'c', 'h', 'i', 't', 'e', 'c', 't', 'u', 'r', 'e'>,
  Sequence<char, 'm', 'a', 't', 't', 'e', 'r'>,
  Sequence<char, 'c', 'i', 'r', 'c', 'u', 'l', 'a', 't', 'e'>,
  Sequence<char, 'd', 'i', 's', 'm', 'i', 's', 's'>,
  Sequence<char, 's', 'w', 'o', 'p'>,
  Sequence<char, 'm', 'a', 'z', 'e'>,
  Sequence<char, 'h', 'e', 'n'>,
  Sequence<char, 'c', 'r', 'u', 'e', 'l', 't', 'y'>,
  Sequence<char, 'g', 'u', 'n'>,
  Sequence<char, 'c', 'o', 'n', 's', 'u', 'm', 'e', 'r'>,
  Sequence<char, 'h', 'e', 'm', 'i', 's', 'p', 'h', 'e', 'r', 'e'>,
  Sequence<char, 's', 'i', 'd', 'e'>,
  Sequence<char, 's', 'u', 'p', 'p', 'l', 'y'>,
  Sequence<char, 'c', 'o', 'm', 'p', 'u', 't', 'e', 'r'>,
  Sequence<char, 'g', 'o', 'v', 'e', 'r', 'n', 'o', 'r'>,
  Sequence<char, 'p', 'r', 'e', 'f', 'e', 'r', 'e', 'n', 'c', 'e'>,
  Sequence<char, 'e', 'x', 'c', 'l', 'u', 's', 'i', 'v', 'e'>,
  Sequence<char, 'v', 'a', 'r', 'i', 'a', 'b', 'l', 'e'>,
  Sequence<char, 'r', 'i', 'd', 'g', 'e'>,
  Sequence<char, 's', 't', 'e', 'r', 'e', 'o', 't', 'y', 'p', 'e'>,
  Sequence<char, 'd', 'e', 'p', 'e', 'n', 'd', 'e', 'n', 'c', 'e'>,
  Sequence<char, 'e', 'x', 'p', 'o', 's', 'u', 'r', 'e'>,
  Sequence<char, 'c', 'u', 'p', 'b', 'o', 'a', 'r', 'd'>,
  Sequence<char, 's', 't', 'r', 'i', 'c', 't'>,
  Sequence<char, 'h', 'o', 'r', 'o', 's', 'c', 'o', 'p', 'e'>,
  Sequence<char, 'u', 'n', 'c', 'l', 'e'>,
  Sequence<char, 'p', 'e', 'n', 'a', 'l', 't', 'y'>,
  Sequence<char, 'p', 'e', 'a', 'c', 'e'>,
  Sequence<char, 'k', 'n', 'o', 'c', 'k'>,
  Sequence<char, 't', 'o', 'n', 'e'>,
  Sequence<char, 's', 'm', 'a', 'l', 'l'>,
  Sequence<char, 'l', 'e', 'a', 'v', 'e'>,
  Sequence<char, 'd', 'i', 's', 'm', 'i', 's', 's', 'a', 'l'>,
  Sequence<char, 'm', 'a', 'i', 'l', ' ', 'c', 'a', 'r', 'r', 'i', 'e', 'r'>,
  Sequence<char, 'm', 'e', 'r', 'c', 'y'>,
  Sequence<char, 'v', 'e', 's', 's', 'e', 'l'>,
  Sequence<char, 'o', 'p', 'p', 'o', 's', 'i', 't', 'i', 'o', 'n'>,
  Sequence<char, 'd', 'a', 'r', 'e'>,
  Sequence<char, 'a', 'c', 't', 'i', 'o', 'n'>,
  Sequence<char, 's', 'p', 'e', 'a', 'k', 'e', 'r'>,
  Sequence<char, 'p', 'o', 's', 's', 'e', 's', 's', 'i', 'o', 'n'>,
  Sequence<char, 's', 'i', 'g', 'h', 't'>,
  Sequence<char, 'd', 'i', 's', 'c', 'o', 'u', 'n', 't'>,
  Sequence<char, 'l', 'i', 'm', 'i', 't', 'e', 'd'>,
  Sequence<char, 'n', 'e', 'g', 'o', 't', 'i', 'a', 't', 'i', 'o', 'n'>,
  Sequence<char, 'r', 'i', 'n', 'g'>,
  Sequence<char, 's', 'h', 'a', 'k', 'e'>,
  Sequence<char, 'e', 'n', 'd'>,
  Sequence<char, 'b', 'a', 'n', 'g'>,
  Sequence<char, 'm', 'i', 's', 't', 'r', 'e', 'a', 't'>,
  Sequence<char, 's', 'l', 'i', 'm', 'e'>,
  Sequence<char, 'c', 'a', 'r', 'e', 'e', 'r'>,
  Sequence<char, 't', 'h', 'r', 'o', 'n', 'e'>,
  Sequence<char, 'p', 'a', 't', 'r', 'o', 'l'>,
  Sequence<char, 'f', 'o', 'l', 'k', 'l', 'o', 'r', 'e'>,
  Sequence<char, 'i', 'n', 'j', 'u', 'r', 'y'>,
  Sequence<char, 'i', 'n', 's', 'p', 'i', 'r', 'e'>,
  Sequence<char, 'o', 'w', 'l'>,
  Sequence<char, 'f', 'a', 's', 't'>,
  Sequence<char, 'r', 'e', 'v', 'i', 'v', 'e'>,
  Sequence<char, 'h', 'o', 'b', 'b', 'y'>,
  Sequence<char, 'i', 'n', 'f', 'r', 'a', 's', 't', 'r', 'u', 'c', 't', 'u', 'r', 'e'>,
  Sequence<char, 'h', 'o', 'u', 's', 'e', 'w', 'i', 'f', 'e'>,
  Sequence<char, 'r', 'e', 'p', 't', 'i', 'l', 'e'>,
  Sequence<char, 'r', 'e', 'v', 'e', 'n', 'g', 'e'>,
  Sequence<char, 'i', 't', 'e', 'm'>,
  Sequence<char, 'p', 'r', 'o', 'd', 'u', 'c', 'e'>,
  Sequence<char, 'a', 'b', 's', 'o', 'r', 'b'>,
  Sequence<char, 'v', 'o', 'u', 'c', 'h', 'e', 'r'>,
  Sequence<char, 'r', 'u', 'g', 'b', 'y'>,
  Sequence<char, 'l', 'o', 'a', 'n'>,
  Sequence<char, 'l', 'i', 't', 'e', 'r', 'a', 'c', 'y'>,
  Sequence<char, 'l', 'i', 'v', 'e', 'r'>,
  Sequence<char, 's', 'p', 'l', 'u', 'r', 'g', 'e'>,
  Sequence<char, 't', 'r', 'i', 'b', 'e'>,
  Sequence<char, 's', 'c', 'h', 'e', 'm', 'e'>,
  Sequence<char, 'w', 'r', 'i', 'g', 'g', 'l', 'e'>,
  Sequence<char, 'm', 'a', 'r', 'a', 't', 'h', 'o', 'n'>,
  Sequence<char, 'c', 'r', 'u', 't', 'c', 'h'>,
  Sequence<char, 'd', 'a', 'i', 'r', 'y'>,
  Sequence<char, 'e', 'x', 'o', 't', 'i', 'c'>,
  Sequence<char, 'c', 'o', 'n', 'v', 'e', 'r', 't'>,
  Sequence<char, 'n', 'a', 't', 'i', 'o', 'n', 'a', 'l', 'i', 's', 'm'>,
  Sequence<char, 'c', 'o', 'n', 'd', 'u', 'c', 't', 'o', 'r'>,
  Sequence<char, 'd', 'e', 'v', 'e', 'l', 'o', 'p'>,
  Sequence<char, 'b', 'r', 'e', 'a', 'k', ' ', 'i', 'n'>,
  Sequence<char, 'c', 'l', 'u', 'b'>,
  Sequence<char, 'c', 'a', 'g', 'e'>,
  Sequence<char, 'c', 'r', 'o', 'w', 'n'>,
  Sequence<char, 'c', 'u', 'r', 'r', 'i', 'c', 'u', 'l', 'u', 'm'>,
  Sequence<char, 'h', 'u', 'r', 't'>,
  Sequence<char, 'c', 'h', 'e', 's', 't'>,
  Sequence<char, 'f', 'r', 'a', 'n', 'k'>,
  Sequence<char, 'b', 'r', 'o', 'n', 'z', 'e'>,
  Sequence<char, 'r', 'e', 'j', 'e', 'c', 't'>,
  Sequence<char, 'r', 'e', 's', 'p', 'o', 'n', 's', 'e'>,
  Sequence<char, 'f', 'a', 'r'>,
  Sequence<char, 'h', 'i', 'c', 'c', 'u', 'p'>,
  Sequence<char, 'c', 'r', 'a', 'f', 't'>,
  Sequence<char, 'p', 'r', 'e', 'o', 'c', 'c', 'u', 'p', 'a', 't', 'i', 'o', 'n'>,
  Sequence<char, 'c', 'e', 'm', 'e', 't', 'e', 'r', 'y'>,
  Sequence<char, 's', 'o', 'w'>,
  Sequence<char, 'e', 'n', 't', 'e', 'r', 't', 'a', 'i', 'n'>,
  Sequence<char, 's', 'o', 'c', 'i', 'e', 't', 'y'>,
  Sequence<char, 's', 't', 'u', 'n'>,
  Sequence<char, 'h', 'o', 'o', 'k'>,
  Sequence<char, 'e', 'l', 'b', 'o', 'w'>,
  Sequence<char, 'f', 'i', 'c', 't', 'i', 'o', 'n'>,
  Sequence<char, 't', 'h', 'i', 'n', 'k', 'e', 'r'>,
  Sequence<char, 'g', 'u', 'i', 't', 'a', 'r'>,
  Sequence<char, 's', 't', 'r', 'i', 'k', 'e', 'b', 'r', 'e', 'a', 'k', 'e', 'r'>,
  Sequence<char, 'm', 'e', 's', 's', 'a', 'g', 'e'>,
  Sequence<char, 'd', 'e', 'v', 'o', 't', 'e'>,
  Sequence<char, 'i', 'm', 'p', 'o', 'u', 'n', 'd'>,
  Sequence<char, 'a', 'i', 's', 'l', 'e'>,
  Sequence<char, 'p', 'o', 's', 't', 'u', 'r', 'e'>,
  Sequence<char, 'a', 'r', 'r', 'e', 's', 't'>,
  Sequence<char, 'r', 'i', 'b'>,
  Sequence<char, 'b', 'i', 'o', 'g', 'r', 'a', 'p', 'h', 'y'>,
  Sequence<char, 'p', 'i', 'e'>,
  Sequence<char, 'm', 'o', 'u', 'r', 'n', 'i', 'n', 'g'>,
  Sequence<char, 'r', 'a', 'd', 'i', 'c', 'a', 'l'>,
  Sequence<char, 'n', 'e', 't'>,
  Sequence<char, 'w', 'o', 'r', 'd'>,
  Sequence<char, 'a', 'm', 'b', 'i', 't', 'i', 'o', 'n'>,
  Sequence<char, 's', 'k', 'e', 't', 'c', 'h'>,
  Sequence<char, 'm', 'a', 'y', 'o', 'r'>,
  Sequence<char, 'b', 'i', 'n', 'd'>,
  Sequence<char, 'p', 'o', 'l', 'i', 'c', 'y'>,
  Sequence<char, 'e', 'c', 's', 't', 'a', 's', 'y'>,
  Sequence<char, 'e', 'f', 'f', 'e', 'c', 't'>,
  Sequence<char, 'a', 'c', 't'>,
  Sequence<char, 'p', 'r', 'o', 's', 'e', 'c', 'u', 't', 'e'>,
  Sequence<char, 's', 't', 'r', 'a', 'i', 'g', 'h', 't'>,
  Sequence<char, 'e', 'x', 'c', 'a', 'v', 'a', 't', 'i', 'o', 'n'>,
  Sequence<char, 'm', 'a', 't', 'u', 'r', 'e'>,
  Sequence<char, 'd', 'e', 'l', 'a', 'y'>,
  Sequence<char, 'r', 'e', 'l', 'i', 'e', 'f'>
>;

} // namespace fatal {

#endif // FATAL_INCLUDE_fatal_test_words_h
